Engage > Unsubscribes

List unsubscribes

List unsubscribes for a store.

GET /api/v1/store/engage/unsubscribes

List unsubscribes

curl --request GET \
  --url 'https://{baseUrl}/api/v1/store/engage/unsubscribes' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "unsubscribes": {
    "current_page": 1,
    "data": [
      {
        "email": "[email protected]",
        "created_at": "2026-03-26T12:00:00.000000Z",
        "updated_at": "2026-03-26T12:00:00.000000Z",
        "automation_id": null,
        "reason": "No longer interested"
      }
    ],
    "first_page_url": "https://metorik-app.test/api/v1/store/engage/unsubscribes?page=1",
    "from": 1,
    "next_page_url": null,
    "path": "https://metorik-app.test/api/v1/store/engage/unsubscribes",
    "per_page": 100,
    "prev_page_url": null,
    "to": 1
  }
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Query Parameters

  • end_date string

    Only return unsubscribes created on or before this datetime. Legacy before also works, but is deprecated. Example: 2026-03-31 23:59:59

  • order string enum

    Sort direction by created date. Example: desc

  • page integer

    Page number to fetch. Example: 1

  • per_page integer

    Number of results per page. Example: 100

  • start_date string

    Only return unsubscribes created on or after this datetime. Legacy after also works, but is deprecated. Example: 2026-03-01 00:00:00

Headers

  • Accept string required

    Response format header. Example: application/json

Response

application/json
  • unsubscribes object
    + Show Child Attributes
    • current_page integer
    • data[] object array
      + Show Child Attributes
      • email string
      • created_at string
      • updated_at string
      • automation_id string nullable
      • reason string
    • first_page_url string
    • from integer
    • next_page_url string nullable
    • path string
    • per_page integer
    • prev_page_url string nullable
    • to integer